import request from '@/utils/request'

// 信用额度列表-新增
export function getCreditListAdd(params) {
  return request({
    url: '/credit/add',
    method: 'post',
    params
  })
}
// 信用额度列表
export function getCreditList(params) {
  return request({
    url: '/credit/list',
    method: 'get',
    params
  })
}
// 设置信用额度
export function getCreditListEdit(params) {
  return request({
    url: '/credit/record/add',
    method: 'post',
    params
  })
}
// 信用额度列表-导出
export function getCreditListExport(params) {
  return request({
    url: '/credit/exportData',
    method: 'get',
    params
  })
}
//信用额度记录-导出
export function getCreditExport(params) {
  return request({
    url: '/credit/record/export',
    method: 'get',
    params
  })
}
// 信用额度记录
export function getCreditRecordList(params) {
  return request({
    url: '/credit/record/list',
    method: 'get',
    params
  })
}

// 经销商钱包列表
export function getWalletCustomerList(params) {
  return request({
    url: '/wallet/customer/list/page',
    method: 'get',
    params
  })
}
// 经销商列表
export function getCustomerList(params) {
  return request({
    url: '/customer/list',
    method: 'get',
    params
  })
}
